package net.sf.javaprinciples.resource.servlet;

import javax.servlet.http.HttpServletRequest;

import net.sf.javaprinciples.resource.ResourceException;

/**
 * Handler for individual HTTP methods.
 *
 * @param <T>
 * @author Luka Kruscic
 */
public interface RequestHandler<T>
{
    void handleRequest(ResourceModel<T> model, HttpServletRequest request) throws ResourceException;
}